.search-result {
    padding-left: var(--gutter);
    padding-right: var(--gutter);
    .search_it-results {
        padding: 0;
        list-style: none;
        display: flex;
        flex-direction: column;
        gap: var(--gap);
        .search_it-result {
            background-color: var(--light-gray);
            padding: var(--font-margin-p) var(--gap);
            transition: ease all 0.3s;

            .search_it-url {
                display: flex;
                align-items: center;
                gap: 5px;

                &::before {
                    content: '';
                    mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" height="20px" viewBox="0 -960 960 960" width="20px" fill="%231f1f1f"><path d="M417-254H288q-93.79 0-159.89-66.15Q62-386.3 62-480.15T128.11-640q66.1-66 159.89-66h129v118H288.43q-45.18 0-76.8 31.5Q180-525 180-480t31.63 76.5q31.62 31.5 76.8 31.5H417v118ZM313-436v-88h334v88H313Zm230 182v-118h128.57q45.18 0 76.81-31.5Q780-435 780-480t-31.62-76.5Q716.75-588 671.57-588H543v-118h129q93.79 0 159.9 66.15 66.1 66.15 66.1 160T831.9-320q-66.11 66-159.9 66H543Z"/></svg>');
                    background-color: var(--text-color);
                    width: 20px;
                    height: 20px;
                }    
            }
            *:last-child {
                margin-bottom: 0px;
            }
        }
        .search_it-result:hover {
            background-color: var(--light-blue);
        }
    }
}